"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var adapters_ios_1 = require("../adapters.ios");
describe('iOS filter tests', function () {
    test('filterTextProps works', function () {
        expect(adapters_ios_1.filterTextProps('foo')).toBeFalsy();
        expect(adapters_ios_1.filterTextProps('children')).toBeTruthy();
        expect(adapters_ios_1.filterTextProps('style')).toBeTruthy();
        expect(adapters_ios_1.filterTextProps('accessible')).toBeTruthy();
        expect(adapters_ios_1.filterTextProps('selectable')).toBeFalsy();
    });
    test('filterViewProps works', function () {
        expect(adapters_ios_1.filterViewProps('foo')).toBeFalsy();
        expect(adapters_ios_1.filterViewProps('children')).toBeTruthy();
        expect(adapters_ios_1.filterViewProps('style')).toBeTruthy();
        expect(adapters_ios_1.filterViewProps('accessible')).toBeTruthy();
        expect(adapters_ios_1.filterViewProps('animationClass')).toBeFalsy();
        expect(adapters_ios_1.filterViewProps('shouldRasterizeIOS')).toBeTruthy();
        expect(adapters_ios_1.filterViewProps('renderToHardwareTextureAndroid')).toBeFalsy();
    });
    test('filterImageProps works', function () {
        expect(adapters_ios_1.filterImageProps('foo')).toBeFalsy();
        expect(adapters_ios_1.filterImageProps('children')).toBeTruthy();
        expect(adapters_ios_1.filterImageProps('style')).toBeTruthy();
        expect(adapters_ios_1.filterImageProps('accessible')).toBeTruthy();
    });
});
//# sourceMappingURL=ios.test.js.map